summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-update-ims
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-08-01 19:25:00 +0200
committerMichael Vogt <mvo@debian.org>2014-08-01 19:25:00 +0200
commit63d0f85391839a666957add1833e67f7638c8a83 (patch)
treeff58549aa9bbd30dd06428ecc422b775274b4731 /test/integration/test-apt-update-ims
parent67f2f9e2ed2f48833926abb7c31cca4a57ebfec1 (diff)
make i-m-s work again
Diffstat (limited to 'test/integration/test-apt-update-ims')
-rwxr-xr-xtest/integration/test-apt-update-ims22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/integration/test-apt-update-ims b/test/integration/test-apt-update-ims
new file mode 100755
index 000000000..cf2b28bb5
--- /dev/null
+++ b/test/integration/test-apt-update-ims
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'unrelated' 'all' '0.5~squeeze1' 'unstable'
+
+setupaptarchive
+changetowebserver
+
+testsuccess aptget update
+
+# check that I-M-S header is kept in redirections
+testequal "Hit http://localhost:8080 unstable InRelease
+Hit http://localhost:8080 unstable/main Sources
+Hit http://localhost:8080 unstable/main amd64 Packages
+Hit http://localhost:8080 unstable/main Translation-en
+Reading package lists..." aptget update
+